# VSStoP4 - Migrate Visual SourceSafe to Perforce
#
# VSSTOP4_UNITTEST.PY -- EXTENSIONS TO UNIT TEST FRAMEWORK FOR VSSTOP4
#
# Robert Cowham, Vaccaperna Systems Ltd
#

import unittest

class TestCase(unittest.TestCase):
    def __call__(self, result=None):
        if result is None: result = self.defaultTestResult()
        self.result = result
        unittest.TestCase.__call__(self, result)

    def addFailure(self, msg):
        try:
            raise AssertionError, msg
        except AssertionError:
            self.result.addFailure(self,self._TestCase__exc_info())


#
# $Id: //info.ravenbrook.com/project/p4dti/version/2.0/test/p4dti_unittest.py#1 $
